NEWPID(1)

NAME
newpid - launch a command in a new PID namespace

SYNOPSIS
newpid [-inNu] command

DESCRIPTION
newpid uses the clone(CLONE_NEWPID) syscall to launch a command in a new PID namespace. The /proc filesystem is remounted so the new process IDs are also visible there.

OPTIONS

-i  Use CLONE_NEWIPC to run in a new IPC namespace.

-n  Use CLONE_NEWNET to run in a new network namespace.

-N newpidname
    Use CLONE_NEWNET to run in a new network namespace, and join an existing network namespace. The name must start with newpid.

-u  Use CLONE_NEWUTS to run in a new UTS namespace.

EXAMPLE
 $ newpid ps aux
 USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
 myon         1  0.0  0.0   4080    84 pts/3    S+   12:15   0:00 newpid ps aux
 myon         2  0.0  0.0  19984  1316 pts/3    R+   12:15   0:00 ps aux

 $ ./newpid -n ip link
 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default
     link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00

SEE ALSO
clone(2), unshare(1).

AUTHOR
Christoph Berg <myon@debian.org>